Subject: bug#44059: 28.0.50; Trash files cannot be deleted properly if delete-by-moving-to-trash is set

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Oct 2020 11:54:30 +0200

Jean Louis <[email-masked]> writes:

> then I cannot delete files in Trash, you can see what is happening,
> files may get a backup in Trash directory, but they do not get deleted,
> I need to invoke shell command or disable delete-by-moving-to-trash

I'm not sure whether that's a malfeature or not -- if you've told Emacs
that everything you delete should go to the trash can, then even
deleting things in the trash can should perhaps go there?

Perhaps a new value to delete-by-moving-to-trash that would mean "delete
if we're trying to delete in the trash can"?

And... there doesn't seem to be any commands in Emacs for emptying the
trash can?  Shouldn't there be?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no